import {BackgroundCircle} from './BackgroundCircle';
import {Eyes} from './Eyes';
import {Mouth} from './Mouth';
import {FaceContainer} from './FaceContainer';

const noseHeight=20;
const noseWidth=20;

export const Face=({
	width,
  height,
  centerX,
  centerY,
  eyeOffsetX,
  eyeOffsetY,
  eyeRadius,
  strokeWidth,
  mouthWidth,
  mouthRadius,
})=>(
    <FaceContainer 
      width={width}
      height={height}
      centerX={centerX}
      centerY={centerY}
      >  
    
    	<BackgroundCircle 
        radius={height/2-strokeWidth} 
        strokeWidth={strokeWidth}
      />
			<Eyes 
        eyeOffsetX={eyeOffsetX}
        eyeOffsetY={eyeOffsetY}
        eyeRadius={eyeRadius}
        
      />
    	<Mouth
       mouthWidth={mouthWidth}
			 mouthRadius={mouthRadius}  
      />
      <rect 
        x={-noseWidth/2}
        y={-noseHeight/2} 
        rx="5"
        ry="5" 
        width={noseWidth} 
        height={noseHeight}></rect>
      <rect 
        x={-width/2}
        y={-height/2} 
        rx="5"
        ry="5" 
        width={width} 
        height={height}
        filter="url(#ftest)"></rect>
    </FaceContainer>
);  
