import React from 'react';
import ReactDOM from 'react-dom';
import {arc} from 'd3';



const width=960; 
const height=500;

const centerX=width/2;
const centerY=height/2;
const strokeWidth=20;
const eyeOffsetX=90;
const eyeOffsetY=100;
const eyeRadius=50;
const mouthWidth=20;
const mouthRadius=140;

const noseHeight=90;
const noseWidth=60;

const mouthArc=arc()
		.innerRadius(mouthRadius)
		.outerRadius(mouthRadius+mouthWidth)
		.startAngle(Math.PI/2)
		.endAngle(Math.PI*3/2);


const App=()=>( 
  <svg width={width} height={height}>
    <defs>
    <linearGradient id="grad1" x1="1" y1="0" x2="0" y2="1">
      <stop 
        offset="0%" 
        stop-color="#FFFF00"
        stop-opacity="1" />
      <stop 
        offset="100%" 
        stop-color="#FF0000"
        stop-opacity="1" />
    </linearGradient>
      <filter id="ftest">
        <feSpecularLighting result="ftest" specularConstant="1.0"
          specularExponent="10" lighting-color="orange">
        <fePointLight x="200" y="-200" z="200"/>
        
     </feSpecularLighting>
       </filter>
  </defs>
    
    <g transform={`translate(${centerX},${centerY})`}>
    
      <circle 
              r={height/2-strokeWidth}
              fill="pink"
              stroke="black"
              stroke-width={strokeWidth}
        			></circle>
    					<circle 
              cx={-eyeOffsetX} 
              cy={-eyeOffsetY}
              r={eyeRadius}
              fill="url(#grad1)"
              ></circle>
    					<circle 
              cx={eyeOffsetX} 
              cy={-eyeOffsetY}
              r={eyeRadius}
              fill="url(#grad1)"
              ></circle>
    	<path d={mouthArc()}/>
      <rect 
        x={-noseWidth/2}
        y={-noseHeight/2} 
        rx="5"
        ry="5" 
        width={noseWidth} 
        height={noseHeight}></rect>
      <polygon 
        points="-30,60 -80,100 30,60 80,100" 
        fill="black"
        />
      <rect 
        x={-width/2}
        y={-height/2} 
        rx="5"
        ry="5" 
        width={width} 
        height={height}
        filter="url(#ftest)"></rect>
    
    </g>
    
    </svg>
  	
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App/>,rootElement);